Subject: Re: Bug: `gitsubmodule` does not list modules with unicode characters

From: Jens Lehmann <[email-masked]>
Date: Mon, 25 Mar 2013 09:30:44 +0100

Am 23.03.2013 17:28, schrieb Ilya Kulakov:
> The `git submodule` commands seem to ignore modules which paths contain
> unicode characters.
> 
> Consider the following steps to reproduce the problem:
> 
>   1. Create a directory with name that contains at least one unicode character
>      (e.g. "ûñïçödé-rèpø")
> 
>   2. Initialize git repository within this directory
> 
>   3. Add this repository as a submodule to another repository so that
>      unicode characters will appear in the path to the module
>      (e.g. "../ûñïçödé-rèpø")
> 
>   4. Check that .gitmodules file is updated and contains record
>      about just added module
> 
>   5. List submodules with using `git submodule` and find out
>      that just added module is not listed

Thanks for your report. It is known that git submodule does not behave
very well when path names contain special characters. I'll look into
that when I find some time to see if we can easily fix your problem.